package de.limited_dev.lil_judd.features.weapons.components;

import de.limited_dev.lil_judd.features.weapons.components.enums.MainType;
import de.limited_dev.lil_judd.features.weapons.components.enums.SubType;
import de.limited_dev.lil_judd.features.weapons.components.enums.SpecialType;

public class WeaponKit {
    private final String weaponName;
    private final int reqiredLevel;
    private final int pointsForSpecial;
    private final MainType mainType;
    private final SubType subType;
    private final SpecialType specialType;

    public WeaponKit(String name,int requiredLvl, int pointsForSpecial, MainType mainType, SubType subType, SpecialType specialType){
        this.reqiredLevel = requiredLvl;
        this.weaponName = name;
        this.pointsForSpecial = pointsForSpecial;
        this.mainType = mainType;
        this.subType = subType;
        this.specialType = specialType;
    }
}
